using skydiveLogs_api.Domain;
using System.Collections.Generic;

namespace skydiveLogs_api.DomainBusiness.Interfaces
{
    public interface IGearService
    {
        #region Public Methods

        void AddNewGear(Gear gear);

        void AddRentalGear(User newUser);

        void DeleteGearById(int id);

        IEnumerable<Gear> GetAllGears();

        Gear GetGearById(int id);

        bool UpdateGear(int id, Gear gear);

        #endregion Public Methods
    }
}